country_code = {81: "Nippon", 86: "China", 39: "Italia"}
print(1 in country_code)  # False
print(81 in country_code)  # True
print(country_code[39])  # Italia

# 辞書型オブジェクトのget()メソッドは、「[]」と同じ様にキーを使って値にアクセスするが、第１引数で指定したキーが存在しない場合には、第２引数で指定した値を代わりに返す。
print(country_code.get(81, "somewhere"))  # Nippon
print(country_code.get(89, "somewhere"))  # somewhere

# 辞書型オブジェクトのsetdefault()メソッドは、get()メソッドと同じ様にキーを使って値にアクセスするが、第１引数で指定したキーが存在しない場合には、その存在しないキーの値として第２引数で指定した値を辞書型のデータにセットした後、その値を返す。第１引数で指定したキーが存在する場合には、対応する値を返す。
print(country_code.setdefault(81, "somewhere"))  # Nippon
print(country_code.setdefault(89, "somewhere"))  # somewhere
print(country_code)

# 国名と都市名を受け取り、それを国ごとに分類して辞書型に格納するプログラム
world_city = {}
while True:
    country = input("国名をアルファベットで入力して下さい。")
    city = input("都市名をアルファベットで入力して下さい。")
    world_city.setdefault(country, []).append(city)
    if world_city.get(country, city) == [city, city]:
        world_city.get(country, city).pop(1)
    print(world_city)
