#!/usr/bin/env python # シェバン行

# 5・6・10行目は、WindowsでのUTF-8対応のために記述（Windowsシステムのデフォルト文字コードがUTF-8ではなく、UTF-8を利用しているCGIプログラム内で日本語を含む場合に文字化けが発生してしまうため）。CGIプログラムは、標準出力という仕組みでWebブラウザへのレスポンスを作り、5・6・10行目は、標準出力で利用する文字コードをUTF-8に変更する。
import cgitb
import io
import sys

# cgitbモジュールを使ってプログラムエラーをWebブラウザに表示できる様にする
cgitb.enable()
sys.stdout = io.TextIOWrapper(sys.stdout.buffer, encoding="utf-8")

# print("はじめてのCGI")

# HTTPレスポンスのボディとなるHTML文書
html_body = """<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Page</title>
</head>
<body>
    はじめてのCGI
</body>
</html>"""

# HTTPレスポンスのヘッダ
print("Content-type: text/html")  # MIME形式表記でのコンテンツの内容
# 空白行
print("")
# HTTPレスポンスのボディ
print(html_body)
