import turtle


class Kame(turtle.Turtle):  # 親クラス（turtle.Turtle）を継承
    def __init__(self):
        # 組み込み関数super()は、継承元の親クラスを返す
        # 親クラス（turtle.Turtle）の初期化メソッドが上書きされるので、まず、小クラス（Kameクラス）の初期化メソッドの先頭で親クラスの初期化メソッドを呼び出す
        super().__init__()
        self.shape("turtle")
        self.shapesize(2, 2)
        self.fillcolor("green")
        self.pensize(2)
        self.speed(2)

    def done(self):
        turtle.done()

    # 数字を１つ受け取って（height）、棒グラフ１本分を描画するメソッド
    def draw_bar(self, height, width=40):
        self.left(90)
        self.forward(height)
        self.right(90)
        self.forward(width)
        self.right(90)
        self.forward(height)
        self.left(90)

    # 実際にヒストグラムを描く時にデータの数だけ繰り返し呼び出されるメソッド
    def histogram(self, data, mag=2, x0=-200, y0=-150):
        self.penup()
        # ヒストグラムが画面の真ん中たりに来る様に、アイコンを画面の左下に移動する
        self.goto(x0, y0)
        self.pendown()
        self.begin_fill()
        # 10個のデータが入ったCounterオブジェクトから順番にデータを取り出し、draw_barメソッドを呼び出して棒グラフを描く。受け取った区間の頻度の数字が小さいと、棒グラフが低くなりすぎるので、引数magでデータを何倍にするか調節している。
        for i in range(10):
            self.draw_bar(data[i] * mag)  # 1本分の棒グラフを描く
        self.goto(x0, y0)
