# ファイルへの書き込み
test_file = open("test.txt","w")
test_file.write("こんにちは")
# print(test_file.write("こんにちは"))# 戻り値の確認
# flush()メソッドは、ファイルへの書き込みを全て完了させるためのメソッド
test_file.flush()
# close()メソッドは、プログラムとファイルとの接続を解除する。このメソッドが呼び出されると、ファイルとの接続を解除する前にflush()メソッドも呼び出される。
test_file.close()

# ファイルの読み込み
test_file = open("test.txt","r")
read_str = test_file.readline()
test_file.close()
print(read_str)

# 複数行をファイルへ書き込む
test_file = open("tests.txt","w")
test_file.write("Hello!\nPython")
# print(test_file.write("Hello!\nPython"))# 戻り値の確認
test_file.close()

# ファイルから複数行を読み込む
test_file = open("tests.txt","r")
lines = test_file.readlines()
test_file.close()
print(lines)
# 「Hello!\n」の最後に書いてある制御文字「\n」で改行し、その後print関数がもう一度改行するために「Hello!」の後に空の行が入ってしまう。
print(lines[0])
# strip()メソッドは、文字列の前後にあるスペースや改行・タブといった制御文字、また、引数で指定した文字列を取り除く事ができる。引数に何も指定しないとスペースや制御文字を取り除く。文字と文字の間のスペースは取り除かない。
print(lines[0].strip())
# print(" aa , b b ".strip())# 文字と文字の間のスペース

# for文を使ったファイルの処理
data = ["1,2,3\n","4,5,6\n","7,8,9\n"]
test_file = open("list_for.txt","w")
test_file.writelines(data)
test_file.close()
test_file = open("list_for.txt","r")
for line in test_file:
    # print(line.strip())
    # カンマ区切りをタブ区切りに変換する
    temp_list = line.strip().split(",")
    # join()メソッドは、リストやタプル、mapオブジェクト、strオブジェクト、辞書型を引数に取って、全ての要素の間に結合文字列を挿入して連結できる。（辞書型の場合には、キーが連結される）
    output_line = "\t".join(temp_list) #「\t」は、タブ文字の制御文字
    print(output_line)
test_file.close()

# withを使ったファイルの処理
# with文は、プログラムと外部のデータを接続するコードを記述する時に、closeメソッドの様な後処理を自動で行ってくれる。
with open("list_for.txt","r") as test_file:
    for line in test_file:
        print(line.strip())
