import datetime
import random
import turtle

kame = turtle.Turtle()
kame.hideturtle()
kame.shape("turtle")
kame.shapesize(2, 2, 1)
# fillcolor()メソッドは、塗りつぶしの色を指定できる
kame.fillcolor("green")
# pensize()メソッドは、軌跡の線の太さを指定できる
kame.pensize(3)
kame.speed(1.4)

""" 無限ループになる
while True:
    kame.left(random.randint(1,360))
    kame.forward(15)
"""


def random_kane():
    kame.penup()
    kame.forward(200)
    # showturtle()メソッドは、描画アイコンを表示する様にする
    kame.showturtle()
    kame.left(90)
    kame.pendown()
    kame.circle(200)
    kame.penup()
    kame.left(90)
    kame.home()
    kame.pendown()
    # pencolor()メソッドは、軌跡の線の色を指定できる
    kame.pencolor("red")
    kame.pensize(2)


random_kane()

# ループに入る時の現在時間をループ前の現在時間で引き、それを「計算したい単位のtimedelta型で割り算する」ことにより２つの時間の差を取得している。timedelta型同士の割り算は２つの時間間隔の比較を計算することになり、計算結果はfloat型になる。よって、float型なので比較演算子で条件分岐できる。
time = datetime.datetime.now()  # ループ前の現在時間
# 1分間ループする
while (datetime.datetime.now() - time) / datetime.timedelta(minutes=1) < 1:
    kame.left(random.randint(1, 360))
    kame.forward(30)
    if kame.distance(0, 0) > 200:
        kame.undo()
# print((datetime.datetime.now() - time) / datetime.timedelta(minutes=1))

# 上記のループ後、10秒経過すると軌跡を一度全て消去し、円を描画して、描画アイコンを原点に配置する
time_after = datetime.datetime.now()  # ループ後の現在時間
kame.hideturtle()
kame.pencolor("black")
while True:
    kame.write(
        # total_seconds()メソッドは、２つの時点の差を表現するtimedelta型の値を秒に変換する。datetime型の値では使えない。
        str(int((datetime.datetime.now() - time_after).total_seconds())) + "秒経過",
        align="left",
        font=("Sans", 24, "normal"),
    )
    kame.undo()
    if (datetime.datetime.now() - time_after).total_seconds() > 10:
        # print((datetime.datetime.now() - time_after).total_seconds())
        kame.clear()
        kame.showturtle()
        kame.penup()
        kame.home()
        kame.pendown()
        kame.pensize(3)
        random_kane()
        break

turtle.done()
