import random


class Dice:
    # pass # ブロックで何もしない事を指示するキーワード
    # データ属性（アトリビュート）
    # クラスを定義すると、そのクラスに属するデータ属性は、そのクラスの名前空間に入る
    face_num = 6

    # メソッド
    # メソッドは、自身のブロック内のみを参照できるローカルスコープに属しており、自身が属しているモジュールスコープ（グローバルスコープ）と自身のローカルスコープのみを参照できる
    # メソッドが呼び出されると、自身のインスタンスが仮引数selfにPython内部で自動的に渡される

    # 初期化メソッド
    # 第2引数valは、Dice型インスタンスを作成する時に定義される初期化メソッドの引数で指定された値を受け取り（デフォルト値は6とする）、ダイスの面の数を表している
    def __init__(self, val=6):
        # print("初期化メソッド")
        if val not in [4, 6, 8, 12, 20]:
            raise Exception("正" + str(val) + "面体はありません。")
        self.face_num = val

    def shoot(self):
        # データ属性face_numは、メソッドのローカルスコープ外に属するため、参照するためにはクラス名（インスタンス名）を付与する必要がある
        return random.randint(1, self.face_num)
